APITemplate
Duplicate a template
Creates a full copy of an existing template with a new ID. Images are copied independently. Only the owner can duplicate their templates.
Authorization
bearerAuth AuthorizationBearer <token>
Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>
In: header
Path Parameters
id*string
Template UUID to duplicate
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.qrcodly.de/api/v1/config-template/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"config": {
"width": 0,
"height": 0,
"margin": 0,
"image": "string",
"imageOptions": {
"hideBackgroundDots": true
},
"dotsOptions": {
"type": "dots",
"style": {
"type": "hex",
"value": "string"
}
},
"cornersSquareOptions": {
"type": "dot",
"style": {
"type": "hex",
"value": "string"
}
},
"cornersDotOptions": {
"type": "dot",
"style": {
"type": "hex",
"value": "string"
}
},
"backgroundOptions": {
"style": {
"type": "hex",
"value": "string"
}
}
},
"createdBy": "string",
"name": "string",
"previewImage": "string"
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}